%define date       20180906
%if %{date}
%define release    %mkrel 9.git%{date}.%{rel}
%define tarballver %{commit}
%define tarballdir %{commit}
%define tarballgit +git%{date}
%define commit     54d919e37bfef1a51e5c9a723f9de80f767cb493
%else
%define release    %mkrel %{rel}
%define tarballver %{version}
%define tarballdir %{version}
%endif

%define rel 6

Name:           kaption
Version:        0.1.1
Release:        %{release}
Summary:        KDE screen capture editor and annotator
License:        GPLv2
Group:          Graphical desktop/KDE
# https://github.com/fdimuccio/kaption
Url:            http://kde-apps.org/content/show.php/Kaption?content=139302
# http://kde-apps.org/CONTENT/content-files/139302-%%{name}-%%{version}.tar.bz2
Source0:        https://github.com/fdimuccio/kaption/archive/%{tarballdir}/%{name}-%{version}%{?tarballgit}.tar.gz
# https://github.com/fdimuccio/kaption/issues/5
Patch0:         %{name}-0.1.1-mga-desktop-file.patch
Patch1:         %{name}-0.1.1-mga-use-ki18n_install-macro.patch
Patch2:         %{name}-0.1.1-mga-KF5Auth-is-required.patch
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GlobalAccel)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       plasma-workspace

%description
Kaption is an app that sits in the systray, left clicking the icon you
can capture a screen region to draw arrows, boxes and text on it,
than you can save the result.

Kaption is a KDE utility similar to Jing or Skitch (not yet as powerful as
them ;)).

%prep
%setup -q -n %{name}-%{tarballver}
%autopatch -p1

sed -ri '/find_package.*KF5XmlGui/afind_package(X11)' CMakeLists.txt

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README.md TODO
%license COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/config.kcfg/%{name}.kcfg


%changelog
* Mon Nov 21 2022 daviddavid <daviddavid> 0.1.1-9.git20180906.6.mga9
+ Revision: 1909668
- fix build adding 'find_package(X11)' in CMakeLists.txt

* Fri Dec 18 2020 daviddavid <daviddavid> 0.1.1-9.git20180906.5.mga8
+ Revision: 1660630
- Rebuild for new Qt5

* Mon Feb 24 2020 daviddavid <daviddavid> 0.1.1-9.git20180906.4.mga8
+ Revision: 1549722
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 daviddavid <daviddavid> 0.1.1-9.git20180906.3.mga7
+ Revision: 1385025
- Qt5 Rebuild

* Tue Mar 12 2019 daviddavid <daviddavid> 0.1.1-9.git20180906.2.mga7
+ Revision: 1374615
- add patch to add missing required KF5Auth
- add missing build dependency on cmake(KF5Auth)

* Thu Jan 31 2019 daviddavid <daviddavid> 0.1.1-9.git20180906.1.mga7
+ Revision: 1362107
- update to latest git snapshot 20180906 (Qt5/Kf5 branch) (mga#24264)
- port to Qt5/Kf5

* Sun Sep 23 2018 umeabot <umeabot> 0.1.1-8.mga7
+ Revision: 1298432
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.1.1-7.mga6
+ Revision: 934384
- Mageia 6 Mass Rebuild
+ alexl <alexl>
- fresh translations
- translate desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-6.mga5
+ Revision: 746874
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 680931
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-4.mga4
+ Revision: 529513
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dglent <dglent> 0.1.1-3.mga4
+ Revision: 452266
- reword summary & description, remove obsolete %%clean & unneeded --with-html
- Update spec file according mageia policy
- New version 0.1.1
- spec cleanup
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 07 2011 ahmad <ahmad> 0.0.9-1.mga1
+ Revision: 95718
- imported package kaption

